---
lang: en
title: 'API docs: context.contextsubscriptionmanager._constructor_'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.contextsubscriptionmanager._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [ContextSubscriptionManager](./context.contextsubscriptionmanager.md) &gt; [(constructor)](./context.contextsubscriptionmanager._constructor_.md)

## ContextSubscriptionManager.(constructor)

Constructs a new instance of the `ContextSubscriptionManager` class

<b>Signature:</b>

```typescript
constructor(context: Context);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  context | [Context](./context.context.md) |  |


